Issue1788

classification
Title: socket.create_connection() is not implemented
Type: behaviour Severity: normal
Components: Documentation, Library Versions: Deferred
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: amak Nosy List: amak, camjackson
Priority: Keywords:

Created on 2011-08-16.03:43:29 by camjackson, last changed 2011-11-02.09:50:01 by amak.

Messages
msg6602 (view) Author: Cam Jackson (camjackson) Date: 2011-08-16.03:43:28
Given that this is just a convenience function, it's that big of a deal that it's not implemented. What's more annoying is that it is listed at http://www.jython.org/docs/library/socket.html.
msg6608 (view) Author: Alan Kennedy (amak) Date: 2011-08-21.09:52:09
jython is currently at version 2.5.

socket.create_connection was introduced in cpython 2.6, and will be introduced in jython 2.6.

It was introduced as more than a convenience function: it's real purpose was to centralise the creation of sockets for dependent libraries such as httplib, ftplib, telnetlib, etc.

Still, obviously some people use it directly, and that's ok. I'll have a look at introducing it in a point release of jython 2.5.

It's definitely a documentation bug that it appears in the jython 2.5 documentation.
msg6690 (view) Author: Alan Kennedy (amak) Date: 2011-11-02.09:50:01
Fix checked in at http://hg.python.org/jython/rev/cc548bacc001

This is will be released in jython 2.5.3.
History
Date User Action Args
2011-11-02 09:50:01amaksetstatus: open -> closed
resolution: later -> fixed
messages: + msg6690
2011-08-21 09:52:10amaksetassignee: amak
resolution: later
messages: + msg6608
nosy: + amak
versions: + Deferred
2011-08-16 03:43:29camjacksoncreate